BeagleBenchmarkedResource(3)

NAME
BeagleBenchmarkedResource - Description of a benchmarked hardware resource.

SYNOPSIS

#include <beagle.h>

  Public Attributes

int number
char * name
char * description
long supportFlags
long requiredFlags
int returnCode
char * implName
long benchedFlags
double benchmarkResult
double performanceRatio

Detailed Description

Description of a benchmarked hardware resource.

Member Data Documentation

  long BeagleBenchmarkedResource::benchedFlags
Bit-flags that characterize the activate capabilities of the resource and implementation for this benchmark

  double BeagleBenchmarkedResource::benchmarkResult
Benchmark result in milliseconds

  char* BeagleBenchmarkedResource::description
Description of resource as a NULL-terminated character string

  char* BeagleBenchmarkedResource::implName
Name of implementation used to benchmark resource

  char* BeagleBenchmarkedResource::name
Name of resource as a NULL-terminated character string

  int BeagleBenchmarkedResource::number
Resource number

  double BeagleBenchmarkedResource::performanceRatio
Performance ratio relative to default CPU resource

  long BeagleBenchmarkedResource::requiredFlags
Bit-flags that identify resource type

  int BeagleBenchmarkedResource::returnCode
Return code of for benchmark attempt (see BeagleReturnCodes)

  long BeagleBenchmarkedResource::supportFlags
Bit-flags of supported capabilities on resource

Author

Generated automatically by Doxygen for BEAGLE from the source code.